/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model88
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model88 {
  @SerializedName("general_information")
  private Model85 generalInformation = null;

  @SerializedName("delayed_luggage_claim_information")
  private DelayedLuggageClaimInformation delayedLuggageClaimInformation = null;

  public Model88 generalInformation(Model85 generalInformation) {
    this.generalInformation = generalInformation;
    return this;
  }

   /**
   * Get generalInformation
   * @return generalInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public Model85 getGeneralInformation() {
    return generalInformation;
  }

  public void setGeneralInformation(Model85 generalInformation) {
    this.generalInformation = generalInformation;
  }

  public Model88 delayedLuggageClaimInformation(DelayedLuggageClaimInformation delayedLuggageClaimInformation) {
    this.delayedLuggageClaimInformation = delayedLuggageClaimInformation;
    return this;
  }

   /**
   * Get delayedLuggageClaimInformation
   * @return delayedLuggageClaimInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public DelayedLuggageClaimInformation getDelayedLuggageClaimInformation() {
    return delayedLuggageClaimInformation;
  }

  public void setDelayedLuggageClaimInformation(DelayedLuggageClaimInformation delayedLuggageClaimInformation) {
    this.delayedLuggageClaimInformation = delayedLuggageClaimInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model88 model88 = (Model88) o;
    return Objects.equals(this.generalInformation, model88.generalInformation) &&
        Objects.equals(this.delayedLuggageClaimInformation, model88.delayedLuggageClaimInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(generalInformation, delayedLuggageClaimInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model88 {\n");
    
    sb.append("    generalInformation: ").append(toIndentedString(generalInformation)).append("\n");
    sb.append("    delayedLuggageClaimInformation: ").append(toIndentedString(delayedLuggageClaimInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

